package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户个人信息对象 tb_user
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TbUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String username;

    /** 用户图像 */
    @Excel(name = "用户图像")
    private String userUrl;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobile;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 微信openid */
    @Excel(name = "微信openid")
    private String wxOpenId;

    /** 用户在开放平台的唯一标识符，若当前小程序已绑定到微信开放平台帐号下会返回 */
    @Excel(name = "用户在开放平台的唯一标识符，若当前小程序已绑定到微信开放平台帐号下会返回")
    private String unionid;

    /** 微信昵称 */
    @Excel(name = "微信昵称")
    private String nickName;

    /** 职位 */
    @Excel(name = "职位")
    private String job;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String company;

    /** 注册时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date regTime;

    /** 注册ip */
    @Excel(name = "注册ip")
    private String regIp;

    /** 地区 */
    @Excel(name = "地区")
    private String areas;

    /** 关键字 */
    @Excel(name = "关键字")
    private String keyName;

    /** 行业 */
    @Excel(name = "行业")
    private String industrys;

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setUserUrl(String userUrl) 
    {
        this.userUrl = userUrl;
    }

    public String getUserUrl() 
    {
        return userUrl;
    }
    public void setMobile(String mobile) 
    {
        this.mobile = mobile;
    }

    public String getMobile() 
    {
        return mobile;
    }
    public void setPassword(String password) 
    {
        this.password = password;
    }

    public String getPassword() 
    {
        return password;
    }
    public void setWxOpenId(String wxOpenId) 
    {
        this.wxOpenId = wxOpenId;
    }

    public String getWxOpenId() 
    {
        return wxOpenId;
    }
    public void setUnionid(String unionid) 
    {
        this.unionid = unionid;
    }

    public String getUnionid() 
    {
        return unionid;
    }
    public void setNickName(String nickName) 
    {
        this.nickName = nickName;
    }

    public String getNickName() 
    {
        return nickName;
    }
    public void setJob(String job) 
    {
        this.job = job;
    }

    public String getJob() 
    {
        return job;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setCompany(String company) 
    {
        this.company = company;
    }

    public String getCompany() 
    {
        return company;
    }
    public void setRegTime(Date regTime) 
    {
        this.regTime = regTime;
    }

    public Date getRegTime() 
    {
        return regTime;
    }
    public void setRegIp(String regIp) 
    {
        this.regIp = regIp;
    }

    public String getRegIp() 
    {
        return regIp;
    }
    public void setAreas(String areas) 
    {
        this.areas = areas;
    }

    public String getAreas() 
    {
        return areas;
    }
    public void setKeyName(String keyName) 
    {
        this.keyName = keyName;
    }

    public String getKeyName() 
    {
        return keyName;
    }
    public void setIndustrys(String industrys) 
    {
        this.industrys = industrys;
    }

    public String getIndustrys() 
    {
        return industrys;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("username", getUsername())
            .append("userUrl", getUserUrl())
            .append("mobile", getMobile())
            .append("password", getPassword())
            .append("wxOpenId", getWxOpenId())
            .append("unionid", getUnionid())
            .append("nickName", getNickName())
            .append("job", getJob())
            .append("email", getEmail())
            .append("company", getCompany())
            .append("regTime", getRegTime())
            .append("regIp", getRegIp())
            .append("updateTime", getUpdateTime())
            .append("areas", getAreas())
            .append("keyName", getKeyName())
            .append("industrys", getIndustrys())
            .append("createTime", getCreateTime())
            .toString();
    }
}
